Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Struct Nes::Core::Input::Controllers::PowerGlove

struct Nes::Core::Input::Controllers::PowerGlove

Power Glove.

Inner Classes, Typedefs, and Enums
`enum` | `Nes::Core::Input::Controllers::PowerGlove::Gesture`
`typedef` | `Nes::Core::Input::Controllers::PowerGlove::PollCallback`

Field Summary
`uint` | `buttons`
`static PollCaller1< PowerGlove >` | `callback`
`schar` | `distance`
`Nes::Core::Input::Controllers::PowerGlove::Gesture` | `gesture`
`schar` | `wrist`
`uchar` | `x`
`uchar` | `y`

Constructor Summary
`PowerGlove()`

Field Detail

### buttons

    public uint buttons;

### callback

    public static PollCaller1< PowerGlove > callback;

### distance

    public schar distance;

### gesture

    public Nes::Core::Input::Controllers::PowerGlove::Gesture gesture;

### wrist

    public schar wrist;

### x

    public uchar x;

### y

    public uchar y;

Constructor Detail

### PowerGlove

    public PowerGlove() throw();

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD